provider:
  name: faas
  gateway: http://127.0.0.1:8080  # can be a remote server

functions:
  # Pass a username as an argument to find how many images user has pushed to Docker Hub.
  hubstats:
    lang: dockerfile
    image: functions/hubstats:latest
    skip_build: true

  # Node.js gives OS info about the node (Host)
  nodeinfo:
    lang: dockerfile
    image: functions/nodeinfo:latest
    skip_build: true

  # Uses `cat` to echo back response, fastest function to execute.
  echoit:
    lang: dockerfile
    image: functions/alpine:latest
    fprocess: "cat"
    skip_build: true

  # Counts words in request with `wc` utility
  wordcount:
    lang: dockerfile
    image: functions/alpine:latest
    fprocess: "wc"
    skip_build: true

  # Calculates base64 representation of request body.
  base64:
    lang: dockerfile
    image: functions/alpine:latest
    fprocess: "base64"
    skip_build: true

  # Converts body in (markdown format) -> (html)
  markdown:
    lang: dockerfile
    image: functions/markdown-render:latest
    skip_build: true
